Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estella.lib
Class ArquivoDownload

    java.lang.Object
      estella.lib.ArquivoDownload

All Implemented Interfaces:
  java.lang.Runnable

    public class ArquivoDownload

extends java.lang.Object
implements java.lang.Runnable

Cliente web simples

Since:
  04/12/2005

Constructor Summary
`ArquivoDownload(java.lang.String nome, int tamanho, int index, java.lang.String host, int porta)`

Method Summary
`void` | `run()` Inicia um novo download

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArquivoDownload

    public ArquivoDownload(java.lang.String nome,
                           int tamanho,
                           int index,
                           java.lang.String host,
                           int porta)

Method Detail

### run

    public void run()

  Inicia um novo download

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD